{
  "def": {
    "code": "DDFM",
    "name": "Départements Français Métropolitains",
    "valid": true,
    "protected": true,
    "ref_display": "name",
    "type": "QSOFIELDS",
    "field": "note",
    "pattern": "(?i)\\b(D\\d{1,2}[AB]?)\\b",
    "or_rules": [
      {
        "field": "address",
        "match_by": "code",
        "pattern": "\\b(\\d{2})\\d{3}\\b",
        "prefix": "D"
      },
      {
        "field": "qth",
        "match_by": "code",
        "pattern": "\\b(\\d{2})\\d{3}\\b",
        "prefix": "D"
      }
    ],
    "dxcc_filter": [
      227,
      214
    ],
    "confirm": [
      "lotw",
      "qsl"
    ],
    "validate": [
      "lotw"
    ],
    "total": 96,
    "builtin": true,
    "version": 2
  },
  "references": [
    {
      "code": "D01",
      "name": "Ain",
      "dxcc": 227,
      "group": "",
      "subgrp": "",
      "valid": true
    },
    {
      "code": "D02",
      "name": "Aisne",
      "dxcc": 227,
      "group": "",
      "subgrp": "",
      "valid": true
    },
    {
      "code": "D03",
      "name": "Allier",
      "dxcc": 227,
      "group": "",
      "subgrp": "",
      "valid": true
    },
    {
      "code": "D04",
      "name": "Alpes-de-Haute-Provence",
      "dxcc": 227,
      "group": "",
      "subgrp": "",
      "valid": true
    },
    {
      "code": "D05",
      "name": "Hautes-Alpes",
      "dxcc": 227,
      "group": "",
      "subgrp": "",
      "valid": true
    },
    {
      "code": "D06",
      "name": "Alpes-Maritimes",
      "dxcc": 227,
      "group": "",
      "subgrp": "",
      "valid": true
    },
    {
      "code": "D07",
      "name": "Ardèche",
      "dxcc": 227,
      "group": "",
      "subgrp": "",
      "valid": true
    },
    {
      "code": "D08",
      "name": "Ardennes",
      "dxcc": 227,
      "group": "",
      "subgrp": "",
      "valid": true
    },
    {
      "code": "D09",
      "name": "Ariège",
      "dxcc": 227,
      "group": "",
      "subgrp": "",
      "valid": true
    },
    {
      "code": "D10",
      "name": "Aube",
      "dxcc": 227,
      "group": "",
      "subgrp": "",
      "valid": true
    },
    {
      "code": "D11",
      "name": "Aude",
      "dxcc": 227,
      "group": "",
      "subgrp": "",
      "valid": true
    },
    {
      "code": "D12",
      "name": "Aveyron",
      "dxcc": 227,
      "group": "",
      "subgrp": "",
      "valid": true
    },
    {
      "code": "D13",
      "name": "Bouches-du-Rhône",
      "dxcc": 227,
      "group": "",
      "subgrp": "",
      "valid": true
    },
    {
      "code": "D14",
      "name": "Calvados",
      "dxcc": 227,
      "group": "",
      "subgrp": "",
      "valid": true
    },
    {
      "code": "D15",
      "name": "Cantal",
      "dxcc": 227,
      "group": "",
      "subgrp": "",
      "valid": true
    },
    {
      "code": "D16",
      "name": "Charente",
      "dxcc": 227,
      "group": "",
      "subgrp": "",
      "valid": true
    },
    {
      "code": "D17",
      "name": "Charente-Maritime",
      "dxcc": 227,
      "group": "",
      "subgrp": "",
      "valid": true
    },
    {
      "code": "D18",
      "name": "Cher",
      "dxcc": 227,
      "group": "",
      "subgrp": "",
      "valid": true
    },
    {
      "code": "D19",
      "name": "Corrèze",
      "dxcc": 227,
      "group": "",
      "subgrp": "",
      "valid": true
    },
    {
      "code": "D21",
      "name": "Côte-d'Or",
      "dxcc": 227,
      "group": "",
      "subgrp": "",
      "valid": true
    },
    {
      "code": "D22",
      "name": "Côtes-d'Armor",
      "dxcc": 227,
      "group": "",
      "subgrp": "",
      "valid": true
    },
    {
      "code": "D23",
      "name": "Creuse",
      "dxcc": 227,
      "group": "",
      "subgrp": "",
      "valid": true
    },
    {
      "code": "D24",
      "name": "Dordogne",
      "dxcc": 227,
      "group": "",
      "subgrp": "",
      "valid": true
    },
    {
      "code": "D25",
      "name": "Doubs",
      "dxcc": 227,
      "group": "",
      "subgrp": "",
      "valid": true
    },
    {
      "code": "D26",
      "name": "Drôme",
      "dxcc": 227,
      "group": "",
      "subgrp": "",
      "valid": true
    },
    {
      "code": "D27",
      "name": "Eure",
      "dxcc": 227,
      "group": "",
      "subgrp": "",
      "valid": true
    },
    {
      "code": "D28",
      "name": "Eure-et-Loir",
      "dxcc": 227,
      "group": "",
      "subgrp": "",
      "valid": true
    },
    {
      "code": "D29",
      "name": "Finistère",
      "dxcc": 227,
      "group": "",
      "subgrp": "",
      "valid": true
    },
    {
      "code": "D2A",
      "name": "Corse-du-Sud",
      "dxcc": 227,
      "group": "",
      "subgrp": "",
      "valid": true
    },
    {
      "code": "D2B",
      "name": "Haute-Corse",
      "dxcc": 227,
      "group": "",
      "subgrp": "",
      "valid": true
    },
    {
      "code": "D30",
      "name": "Gard",
      "dxcc": 227,
      "group": "",
      "subgrp": "",
      "valid": true
    },
    {
      "code": "D31",
      "name": "Haute-Garonne",
      "dxcc": 227,
      "group": "",
      "subgrp": "",
      "valid": true
    },
    {
      "code": "D32",
      "name": "Gers",
      "dxcc": 227,
      "group": "",
      "subgrp": "",
      "valid": true
    },
    {
      "code": "D33",
      "name": "Gironde",
      "dxcc": 227,
      "group": "",
      "subgrp": "",
      "valid": true
    },
    {
      "code": "D34",
      "name": "Hérault",
      "dxcc": 227,
      "group": "",
      "subgrp": "",
      "valid": true
    },
    {
      "code": "D35",
      "name": "Ille-et-Vilaine",
      "dxcc": 227,
      "group": "",
      "subgrp": "",
      "valid": true
    },
    {
      "code": "D36",
      "name": "Indre",
      "dxcc": 227,
      "group": "",
      "subgrp": "",
      "valid": true
    },
    {
      "code": "D37",
      "name": "Indre-et-Loire",
      "dxcc": 227,
      "group": "",
      "subgrp": "",
      "valid": true
    },
    {
      "code": "D38",
      "name": "Isère",
      "dxcc": 227,
      "group": "",
      "subgrp": "",
      "valid": true
    },
    {
      "code": "D39",
      "name": "Jura",
      "dxcc": 227,
      "group": "",
      "subgrp": "",
      "valid": true
    },
    {
      "code": "D40",
      "name": "Landes",
      "dxcc": 227,
      "group": "",
      "subgrp": "",
      "valid": true
    },
    {
      "code": "D41",
      "name": "Loir-et-Cher",
      "dxcc": 227,
      "group": "",
      "subgrp": "",
      "valid": true
    },
    {
      "code": "D42",
      "name": "Loire",
      "dxcc": 227,
      "group": "",
      "subgrp": "",
      "valid": true
    },
    {
      "code": "D43",
      "name": "Haute-Loire",
      "dxcc": 227,
      "group": "",
      "subgrp": "",
      "valid": true
    },
    {
      "code": "D44",
      "name": "Loire-Atlantique",
      "dxcc": 227,
      "group": "",
      "subgrp": "",
      "valid": true
    },
    {
      "code": "D45",
      "name": "Loiret",
      "dxcc": 227,
      "group": "",
      "subgrp": "",
      "valid": true
    },
    {
      "code": "D46",
      "name": "Lot",
      "dxcc": 227,
      "group": "",
      "subgrp": "",
      "valid": true
    },
    {
      "code": "D47",
      "name": "Lot-et-Garonne",
      "dxcc": 227,
      "group": "",
      "subgrp": "",
      "valid": true
    },
    {
      "code": "D48",
      "name": "Lozère",
      "dxcc": 227,
      "group": "",
      "subgrp": "",
      "valid": true
    },
    {
      "code": "D49",
      "name": "Maine-et-Loire",
      "dxcc": 227,
      "group": "",
      "subgrp": "",
      "valid": true
    },
    {
      "code": "D50",
      "name": "Manche",
      "dxcc": 227,
      "group": "",
      "subgrp": "",
      "valid": true
    },
    {
      "code": "D51",
      "name": "Marne",
      "dxcc": 227,
      "group": "",
      "subgrp": "",
      "valid": true
    },
    {
      "code": "D52",
      "name": "Haute-Marne",
      "dxcc": 227,
      "group": "",
      "subgrp": "",
      "valid": true
    },
    {
      "code": "D53",
      "name": "Mayenne",
      "dxcc": 227,
      "group": "",
      "subgrp": "",
      "valid": true
    },
    {
      "code": "D54",
      "name": "Meurthe-et-Moselle",
      "dxcc": 227,
      "group": "",
      "subgrp": "",
      "valid": true
    },
    {
      "code": "D55",
      "name": "Meuse",
      "dxcc": 227,
      "group": "",
      "subgrp": "",
      "valid": true
    },
    {
      "code": "D56",
      "name": "Morbihan",
      "dxcc": 227,
      "group": "",
      "subgrp": "",
      "valid": true
    },
    {
      "code": "D57",
      "name": "Moselle",
      "dxcc": 227,
      "group": "",
      "subgrp": "",
      "valid": true
    },
    {
      "code": "D58",
      "name": "Nièvre",
      "dxcc": 227,
      "group": "",
      "subgrp": "",
      "valid": true
    },
    {
      "code": "D59",
      "name": "Nord",
      "dxcc": 227,
      "group": "",
      "subgrp": "",
      "valid": true
    },
    {
      "code": "D60",
      "name": "Oise",
      "dxcc": 227,
      "group": "",
      "subgrp": "",
      "valid": true
    },
    {
      "code": "D61",
      "name": "Orne",
      "dxcc": 227,
      "group": "",
      "subgrp": "",
      "valid": true
    },
    {
      "code": "D62",
      "name": "Pas-de-Calais",
      "dxcc": 227,
      "group": "",
      "subgrp": "",
      "valid": true
    },
    {
      "code": "D63",
      "name": "Puy-de-Dôme",
      "dxcc": 227,
      "group": "",
      "subgrp": "",
      "valid": true
    },
    {
      "code": "D64",
      "name": "Pyrénées-Atlantiques",
      "dxcc": 227,
      "group": "",
      "subgrp": "",
      "valid": true
    },
    {
      "code": "D65",
      "name": "Hautes-Pyrénées",
      "dxcc": 227,
      "group": "",
      "subgrp": "",
      "valid": true
    },
    {
      "code": "D66",
      "name": "Pyrénées-Orientales",
      "dxcc": 227,
      "group": "",
      "subgrp": "",
      "valid": true
    },
    {
      "code": "D67",
      "name": "Bas-Rhin",
      "dxcc": 227,
      "group": "",
      "subgrp": "",
      "valid": true
    },
    {
      "code": "D68",
      "name": "Haut-Rhin",
      "dxcc": 227,
      "group": "",
      "subgrp": "",
      "valid": true
    },
    {
      "code": "D69",
      "name": "Rhône",
      "dxcc": 227,
      "group": "",
      "subgrp": "",
      "valid": true
    },
    {
      "code": "D70",
      "name": "Haute-Saône",
      "dxcc": 227,
      "group": "",
      "subgrp": "",
      "valid": true
    },
    {
      "code": "D71",
      "name": "Saône-et-Loire",
      "dxcc": 227,
      "group": "",
      "subgrp": "",
      "valid": true
    },
    {
      "code": "D72",
      "name": "Sarthe",
      "dxcc": 227,
      "group": "",
      "subgrp": "",
      "valid": true
    },
    {
      "code": "D73",
      "name": "Savoie",
      "dxcc": 227,
      "group": "",
      "subgrp": "",
      "valid": true
    },
    {
      "code": "D74",
      "name": "Haute-Savoie",
      "dxcc": 227,
      "group": "",
      "subgrp": "",
      "valid": true
    },
    {
      "code": "D75",
      "name": "Paris",
      "dxcc": 227,
      "group": "",
      "subgrp": "",
      "valid": true
    },
    {
      "code": "D76",
      "name": "Seine-Maritime",
      "dxcc": 227,
      "group": "",
      "subgrp": "",
      "valid": true
    },
    {
      "code": "D77",
      "name": "Seine-et-Marne",
      "dxcc": 227,
      "group": "",
      "subgrp": "",
      "valid": true
    },
    {
      "code": "D78",
      "name": "Yvelines",
      "dxcc": 227,
      "group": "",
      "subgrp": "",
      "valid": true
    },
    {
      "code": "D79",
      "name": "Deux-Sèvres",
      "dxcc": 227,
      "group": "",
      "subgrp": "",
      "valid": true
    },
    {
      "code": "D80",
      "name": "Somme",
      "dxcc": 227,
      "group": "",
      "subgrp": "",
      "valid": true
    },
    {
      "code": "D81",
      "name": "Tarn",
      "dxcc": 227,
      "group": "",
      "subgrp": "",
      "valid": true
    },
    {
      "code": "D82",
      "name": "Tarn-et-Garonne",
      "dxcc": 227,
      "group": "",
      "subgrp": "",
      "valid": true
    },
    {
      "code": "D83",
      "name": "Var",
      "dxcc": 227,
      "group": "",
      "subgrp": "",
      "valid": true
    },
    {
      "code": "D84",
      "name": "Vaucluse",
      "dxcc": 227,
      "group": "",
      "subgrp": "",
      "valid": true
    },
    {
      "code": "D85",
      "name": "Vendée",
      "dxcc": 227,
      "group": "",
      "subgrp": "",
      "valid": true
    },
    {
      "code": "D86",
      "name": "Vienne",
      "dxcc": 227,
      "group": "",
      "subgrp": "",
      "valid": true
    },
    {
      "code": "D87",
      "name": "Haute-Vienne",
      "dxcc": 227,
      "group": "",
      "subgrp": "",
      "valid": true
    },
    {
      "code": "D88",
      "name": "Vosges",
      "dxcc": 227,
      "group": "",
      "subgrp": "",
      "valid": true
    },
    {
      "code": "D89",
      "name": "Yonne",
      "dxcc": 227,
      "group": "",
      "subgrp": "",
      "valid": true
    },
    {
      "code": "D90",
      "name": "Territoire de Belfort",
      "dxcc": 227,
      "group": "",
      "subgrp": "",
      "valid": true
    },
    {
      "code": "D91",
      "name": "Essonne",
      "dxcc": 227,
      "group": "",
      "subgrp": "",
      "valid": true
    },
    {
      "code": "D92",
      "name": "Hauts-de-Seine",
      "dxcc": 227,
      "group": "",
      "subgrp": "",
      "valid": true
    },
    {
      "code": "D93",
      "name": "Seine-Saint-Denis",
      "dxcc": 227,
      "group": "",
      "subgrp": "",
      "valid": true
    },
    {
      "code": "D94",
      "name": "Val-de-Marne",
      "dxcc": 227,
      "group": "",
      "subgrp": "",
      "valid": true
    },
    {
      "code": "D95",
      "name": "Val-d'Oise",
      "dxcc": 227,
      "group": "",
      "subgrp": "",
      "valid": true
    }
  ]
}